> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run a check



## OpenAPI

````yaml api-reference/openapi.yaml post /runCheck
openapi: 3.0.0
info:
  title: Parcha API
  version: 1.0.0
  description: API for managing Parcha jobs and checks
servers:
  - url: https://api.parcha.ai/api/v1
    description: Agent Hub API server
  - url: https://demo.parcha.ai/api/v1
    description: Sandbox API server
  - url: https://us1.parcha.ai/api/v1
    description: Legacy API server
  - url: http://{your-company-domain}.parcha.ai/api/v1
    description: Custom Enterpris server (your company's API server)
security:
  - bearerAuth: []
paths:
  /runCheck:
    post:
      summary: Run a check
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckJobInput'
      responses:
        '200':
          description: Check started successfully
        '401':
          description: Unauthorized
      security:
        - bearerAuth: []
components:
  schemas:
    CheckJobInput:
      type: object
      required:
        - agent_key
        - check_id
        - case_id
        - case_type
      properties:
        agent_key:
          type: string
          description: The unique identifier for the agent
        check_id:
          type: string
          description: The ID of the check to run
        case_id:
          type: string
          description: The ID of the case
        case_type:
          type: string
          enum:
            - kyb
            - kyc
            - entity
          description: The type of case
        check_args:
          type: object
          description: Additional arguments for the check
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key obtained from your Parcha account settings. Include as Bearer
        token in the Authorization header.

````